<?php
/**
 * @package     Rovexo.Library
 * @subpackage  jrequire
 *
 * @copyright   Copyright (C) 2018 Rovexo. All rights reserved.
 * @license     GNU General Public License version 2 or later OR MIT
 */
defined('_JEXEC') or die;

class Jrequire {

	protected static $calls = array();
	protected static $customShims = array();
	protected static $customPaths = array();

	/**
	 * @param string $moduleId
	 * @param string $method
	 */
	static function addModuleCall($moduleId, $method = '') {

		$call = $moduleId;

		if ($method) {
			$call .= '::'.$method;
		}

		self::$calls[] = $call;

	}

	static function getModuleCalls() {
		return self::$calls;
	}

	static function getCustomPaths() {
		return self::$customPaths;
	}

	static function getCustomShims() {
		return self::$customShims;
	}

}